Problem installing Countly


#1

I'm sorry for asking so many questions lately, but I've seem to have run into another problem. When trying to install using the "one line installer" in the docs, this is happening:

npm ERR! git clone --template=/root/.npm/_git-remotes/_templates --mirror git@github.com:ar2rsawseen/docdash.git /root/.npm/_git-remotes/git-github-com-ar2rsawseen-docdash-git-1075317d: Cloning into bare repository '/root/.npm/_git-remotes/git-github-com-ar2rsawseen-docdash-git-1075317d'...
npm ERR! git clone --template=/root/.npm/_git-remotes/_templates --mirror git@github.com:ar2rsawseen/docdash.git /root/.npm/_git-remotes/git-github-com-ar2rsawseen-docdash-git-1075317d: Permission denied (publickey).
npm ERR! git clone --template=/root/.npm/_git-remotes/_templates --mirror git@github.com:ar2rsawseen/docdash.git /root/.npm/_git-remotes/git-github-com-ar2rsawseen-docdash-git-1075317d: fatal: Could not read from remote repository.
npm ERR! git clone --template=/root/.npm/_git-remotes/_templates --mirror git@github.com:ar2rsawseen/docdash.git /root/.npm/_git-remotes/git-github-com-ar2rsawseen-docdash-git-1075317d:
npm ERR! git clone --template=/root/.npm/_git-remotes/_templates --mirror git@github.com:ar2rsawseen/docdash.git /root/.npm/_git-remotes/git-github-com-ar2rsawseen-docdash-git-1075317d: Please make sure you have the correct access rights
npm ERR! git clone --template=/root/.npm/_git-remotes/_templates --mirror git@github.com:ar2rsawseen/docdash.git /root/.npm/_git-remotes/git-github-com-ar2rsawseen-docdash-git-1075317d: and the repository exists.
npm ERR! Linux 4.4.0-133-generic
npm ERR! argv "/usr/bin/node" "/usr/bin/npm" "install"
npm ERR! node v6.14.3
npm ERR! npm v3.10.10
npm ERR! code 128

npm ERR! Command failed: git clone --template=/root/.npm/_git-remotes/_templates --mirror git@github.com:ar2rsawseen/docdash.git /root/.npm/_git-remotes/git-github-com-ar2rsawseen-docdash-git-1075317d
npm ERR! Cloning into bare repository '/root/.npm/_git-remotes/git-github-com-ar2rsawseen-docdash-git-1075317d'...
npm ERR! Permission denied (publickey).
npm ERR! fatal: Could not read from remote repository.
npm ERR!
npm ERR! Please make sure you have the correct access rights
npm ERR! and the repository exists.
npm ERR!
npm ERR!
npm ERR! If you need help, you may report this error at:
npm ERR! https://github.com/npm/npm/issues

npm ERR! Please include the following file with any support request:
npm ERR! /home/me/countly/npm-debug.log

the /home/me/countly/npm-debug.log is:

2487 silly gunzTarPerm extractEntry lib/zlib/inffast.js
2488 silly gunzTarPerm modified mode [ 'lib/zlib/inffast.js', 436, 420 ]
2489 verbose correctMkdir /root/.npm correctMkdir not in flight; initializing
2490 silly cache afterAdd pako@0.2.8
2491 verbose afterAdd /root/.npm/pako/0.2.8/package/package.json not in flight; writing
2492 verbose correctMkdir /root/.npm correctMkdir not in flight; initializing
2493 verbose afterAdd /root/.npm/pako/0.2.8/package/package.json written
2494 silly rollbackFailedOptional Starting
2495 silly rollbackFailedOptional Finishing
2496 silly runTopLevelLifecycles Finishing
2497 silly install printInstalled
2498 verbose stack Error: Command failed: git clone --template=/root/.npm/_git-remotes/_templates --mirror git@github.com:ar2rsawseen/docdash.git /root/.npm/_git-remotes/git-github-com-ar2rsawseen-docdash-git-1075317d
2498 verbose stack Cloning into bare repository '/root/.npm/_git-remotes/git-github-com-ar2rsawseen-docdash-git-1075317d'...
2498 verbose stack Permission denied (publickey).
2498 verbose stack fatal: Could not read from remote repository.
2498 verbose stack
2498 verbose stack Please make sure you have the correct access rights
2498 verbose stack and the repository exists.
2498 verbose stack
2498 verbose stack at ChildProcess.exithandler (child_process.js:199:12)
2498 verbose stack at emitTwo (events.js:106:13)
2498 verbose stack at ChildProcess.emit (events.js:191:7)
2498 verbose stack at maybeClose (internal/child_process.js:920:16)
2498 verbose stack at Socket. (internal/child_process.js:351:11)
2498 verbose stack at emitOne (events.js:96:13)
2498 verbose stack at Socket.emit (events.js:188:7)
2498 verbose stack at Pipe._handle.close [as _onclose] (net.js:509:12)
2499 verbose cwd /home/jon/countly
2500 error Linux 4.4.0-133-generic
2501 error argv "/usr/bin/node" "/usr/bin/npm" "install"
2502 error node v6.14.3
2503 error npm v3.10.10
2504 error code 128
2505 error Command failed: git clone --template=/root/.npm/_git-remotes/_templates --mirror git@github.com:ar2rsawseen/docdash.git /root/.npm/_git-remotes/git-github-com-ar2rsawseen-docdash-git-1075317d
2505 error Cloning into bare repository '/root/.npm/_git-remotes/git-github-com-ar2rsawseen-docdash-git-1075317d'...
2505 error Permission denied (publickey).
2505 error fatal: Could not read from remote repository.
2505 error
2505 error Please make sure you have the correct access rights
2505 error and the repository exists.
2506 error If you need help, you may report this error at:
2506 error https://github.com/npm/npm/issues
2507 verbose exit [ 1, true ]

Side note: should I also report this on the github?


#2

May be a temporary connection thing, can you try again?


#3

Yes, it seems like time has fixed it. I had been trying at all points during the day yesterday. Thanks!